<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/spi.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">spi.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d87/spi_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/****************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __SPI_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __SPI_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1ec07ad94d5f6276c1c0b41d0550fe52">   34</a></span><span class="preprocessor">#define SPI_MODE_0        (SPI_CTL_TX_NEG_Msk)                            </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2af9f45539491c9753960535dc20fde">   35</a></span><span class="preprocessor">#define SPI_MODE_1        (SPI_CTL_RX_NEG_Msk)                            </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8fa3edd8616f8803490c93f09243a612">   36</a></span><span class="preprocessor">#define SPI_MODE_2        (SPI_CTL_CLKP_Msk | SPI_CTL_RX_NEG_Msk)         </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a091da9f9011457fe28ab25f64c858d">   37</a></span><span class="preprocessor">#define SPI_MODE_3        (SPI_CTL_CLKP_Msk | SPI_CTL_TX_NEG_Msk)         </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga943af7f8a98cf5a3f2107ed593215a4b">   39</a></span><span class="preprocessor">#define SPI_SLAVE        (SPI_CTL_SLAVE_Msk)                              </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae09a2779c2d141aa6a8f8be6d78fe210">   40</a></span><span class="preprocessor">#define SPI_MASTER        (0x0)                                           </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabfe542dc0f7fdc8caa52c330b6ea585b">   42</a></span><span class="preprocessor">#define SPI_SS0                (0x1)                                      </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafa5a08e693d7d19063f00d6bb059edd8">   43</a></span><span class="preprocessor">#define SPI_SS0_ACTIVE_HIGH    (SPI_SSR_SS_LVL_Msk)                       </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaab001c39c74dbee41b29a2d2ffcf6a21">   44</a></span><span class="preprocessor">#define SPI_SS0_ACTIVE_LOW     (0x0)                                      </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga38f77a0335ac3c591199383b5a245d12">   46</a></span><span class="preprocessor">#define SPI_SS1                (0x2)                                      </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2d6603e733698c2670a3f63f19174f77">   47</a></span><span class="preprocessor">#define SPI_SS1_ACTIVE_HIGH    (SPI_SSR_SS_LVL_Msk)                       </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae109f6e33219bb160dd5ebc4f448146d">   48</a></span><span class="preprocessor">#define SPI_SS1_ACTIVE_LOW     (0x0)                                      </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">   50</a></span><span class="preprocessor">#define SPI_IE_MASK                        (0x01)                         </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">   51</a></span><span class="preprocessor">#define SPI_SSTA_INTEN_MASK                (0x04)                         </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">   52</a></span><span class="preprocessor">#define SPI_FIFO_TX_INTEN_MASK             (0x08)                         </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">   53</a></span><span class="preprocessor">#define SPI_FIFO_RX_INTEN_MASK             (0x10)                         </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffe1b232d0a5b281022046166f5234fd">   54</a></span><span class="preprocessor">#define SPI_FIFO_RXOVR_INTEN_MASK          (0x20)                         </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">   55</a></span><span class="preprocessor">#define SPI_FIFO_TIMEOUT_INTEN_MASK        (0x40)                          </span><span class="comment">/* end of group NANO1X2_SPI_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2f250524c0d3e7d98075b7992b939cc9">   71</a></span><span class="preprocessor">#define SPI_ABORT_3WIRE_TRANSFER(spi) ( (spi)-&gt;SSR |= SPI_SSR_SLV_ABORT_Msk )</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd9c622d28d4b93b8414a783439c852e">   79</a></span><span class="preprocessor">#define SPI_CLR_3WIRE_START_INT_FLAG(spi)  ( (spi)-&gt;STATUS = SPI_STATUS_SLV_START_INTSTS_Msk )</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc919e1780ef049f97d3b4def65e05f9">   87</a></span><span class="preprocessor">#define SPI_CLR_UNIT_TRANS_INT_FLAG(spi) ( (spi)-&gt;STATUS = SPI_STATUS_INTSTS_Msk )</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95240de57d0c033276e43bdc5b6b9dcc">   95</a></span><span class="preprocessor">#define SPI_DISABLE_3WIRE_MODE(spi) ( (spi)-&gt;SSR &amp;= ~SPI_SSR_NOSLVSEL_Msk )</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0ca327c37cb730cbd0b6aa4db7f980b5">  103</a></span><span class="preprocessor">#define SPI_ENABLE_3WIRE_MODE(spi) ( (spi)-&gt;SSR |= SPI_SSR_NOSLVSEL_Msk )</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga984898177d313359fdd1fcdc0f4bf193">  111</a></span><span class="preprocessor">#define SPI_GET_RX_FIFO_COUNT(spi) ( (((spi)-&gt;STATUS &amp; SPI_STATUS_RX_FIFO_CNT_Msk) &gt;&gt; SPI_STATUS_RX_FIFO_CNT_Pos) &amp; 0xf )</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaeb40ca921663b20308a0a841ba7ce73">  121</a></span><span class="preprocessor">#define SPI_GET_RX_FIFO_EMPTY_FLAG(spi) ( ((spi)-&gt;STATUS &amp; SPI_STATUS_RX_EMPTY_Msk) == SPI_STATUS_RX_EMPTY_Msk ? 1:0)</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e0bc926739bf60d35df6a774f06cceb">  131</a></span><span class="preprocessor">#define SPI_GET_TX_FIFO_EMPTY_FLAG(spi) ( ((spi)-&gt;STATUS &amp; SPI_STATUS_TX_EMPTY_Msk) == SPI_STATUS_TX_EMPTY_Msk ? 1:0)</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5523e2a8d5469337f2ba5605d57d24de">  141</a></span><span class="preprocessor">#define SPI_GET_TX_FIFO_FULL_FLAG(spi) ( ((spi)-&gt;STATUS &amp; SPI_STATUS_TX_FULL_Msk) == SPI_STATUS_TX_FULL_Msk ? 1:0)</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga469836d42d7a1d941fe114c3d8f1564a">  149</a></span><span class="preprocessor">#define SPI_READ_RX0(spi) ((spi)-&gt;RX0)</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaef9a80783449307d94d11ad45e5f6525">  156</a></span><span class="preprocessor">#define SPI_READ_RX1(spi) ((spi)-&gt;RX1)</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga25ff198462e20e76b727c8296e3d1f43">  165</a></span><span class="preprocessor">#define SPI_WRITE_TX0(spi, u32TxData)  ( (spi)-&gt;TX0 = u32TxData )</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae7ca7caf3558ea2cac755b9fd398a4b3">  174</a></span><span class="preprocessor">#define SPI_WRITE_TX1(spi, u32TxData)  ( (spi)-&gt;TX1 = u32TxData )</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba43788d26efb956679d14396dafdfa6">  183</a></span><span class="preprocessor">#define SPI_SET_SS0_HIGH(spi)   ((spi)-&gt;SSR = ((spi)-&gt;SSR &amp; ~(SPI_SSR_AUTOSS_Msk|SPI_SSR_SS_LVL_Msk|SPI_SS0)))</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga798c7c672fdce53fcb2c91e584599d06">  192</a></span><span class="preprocessor">#define SPI_SET_SS0_LOW(spi)   ((spi)-&gt;SSR = ((spi)-&gt;SSR &amp; ~(SPI_SSR_AUTOSS_Msk|SPI_SSR_SS_LVL_Msk|SPI_SS0)) | SPI_SS0)</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga78502de4abd548279836b349074b385e">  201</a></span><span class="preprocessor">#define SPI_SET_SS1_HIGH(spi)   ((spi)-&gt;SSR = ((spi)-&gt;SSR &amp; ~(SPI_SSR_AUTOSS_Msk|SPI_SSR_SS_LVL_Msk|SPI_SS1)))</span></div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1eb6dbb4862fba3d9cb283154412f5bb">  210</a></span><span class="preprocessor">#define SPI_SET_SS1_LOW(spi)   ((spi)-&gt;SSR = ((spi)-&gt;SSR &amp; ~(SPI_SSR_AUTOSS_Msk|SPI_SSR_SS_LVL_Msk|SPI_SS1)) | SPI_SS1)</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87333fe492621de006e3173c059daff7">  221</a></span><span class="preprocessor">#define SPI_SET_SS_LEVEL(spi, ss0, ss1)   ((spi)-&gt;SSR = ((spi)-&gt;SSR &amp; ~(SPI_SSR_AUTOSS_Msk|SPI_SSR_SS_LVL_Msk|SPI_SSR_SSR_Msk)) | (((ss1)^1) &lt;&lt; 1) | ((ss0)^1))</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa795ff6d2dac96bcc9add693f3446d36">  229</a></span><span class="preprocessor">#define SPI_ENABLE_BYTE_REORDER(spi) ( (spi)-&gt;CTL |= SPI_CTL_REORDER_Msk )</span></div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704f049cd3351d0d0f7130a75ca394bf">  237</a></span><span class="preprocessor">#define SPI_DISABLE_BYTE_REORDER(spi) ( (spi)-&gt;CTL &amp;= ~SPI_CTL_REORDER_Msk )</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span> </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga356f36b6fc4c8c03904b3ef0d9ff8660">  246</a></span><span class="preprocessor">#define SPI_SET_SUSPEND_CYCLE(spi, u32SuspCycle) ( (spi)-&gt;CTL = ((spi)-&gt;CTL &amp; ~SPI_CTL_SP_CYCLE_Msk) | (u32SuspCycle &lt;&lt; SPI_CTL_SP_CYCLE_Pos) )</span></div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga950a4385d8641da85456398b268368ae">  254</a></span><span class="preprocessor">#define SPI_SET_LSB_FIRST(spi) ( (spi)-&gt;CTL |= SPI_CTL_LSB_Msk )</span></div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> </div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5cbade2af2ae16ff7b5cd4fd834592cb">  262</a></span><span class="preprocessor">#define SPI_SET_MSB_FIRST(spi) ( (spi)-&gt;CTL &amp;= ~SPI_CTL_LSB_Msk )</span></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span> </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">  271</a></span><span class="keyword">static</span> __INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">SPI_SET_DATA_WIDTH</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Width)</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>{</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>    <span class="keywordflow">if</span>(u32Width == 32)</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>        u32Width = 0;</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span> </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a> = (spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a> &amp; ~SPI_CTL_TX_BIT_LEN_Msk) | (u32Width &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a94dbdd0b36e57a878893c61b18fbfad6">SPI_CTL_TX_BIT_LEN_Pos</a>);</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>}</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span> </div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab09ba12aaae1e080cc39237e340dff96">  287</a></span><span class="preprocessor">#define SPI_IS_BUSY(spi) ( ((spi)-&gt;CTL &amp; SPI_CTL_GO_BUSY_Msk) == SPI_CTL_GO_BUSY_Msk ? 1:0 )</span></div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span> </div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b3a8af4404dca3916553b91766d2adf">  295</a></span><span class="preprocessor">#define SPI_TRIGGER(spi) ( (spi)-&gt;CTL |= SPI_CTL_GO_BUSY_Msk )</span></div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span> </div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7666387f3488c8c4a8c96e0818f7db85">  303</a></span><span class="preprocessor">#define SPI_ENABLE_DUAL_MODE(spi) ( (spi)-&gt;CTL |= SPI_CTL_DUAL_IO_EN_Msk )</span></div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span> </div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f1d37f34c726d1a88c0eaa2fc891078">  311</a></span><span class="preprocessor">#define SPI_DISABLE_DUAL_MODE(spi) ( (spi)-&gt;CTL &amp;= ~SPI_CTL_DUAL_IO_EN_Msk )</span></div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span> </div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga12ca66437b0ff94b2d52640fb9a02432">  319</a></span><span class="preprocessor">#define SPI_ENABLE_DUAL_INPUT_MODE(spi) ( (spi)-&gt;CTL &amp;= ~SPI_CTL_DUAL_IO_DIR_Msk )</span></div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span> </div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40d97a086b74d7c7bd7ab88b92648352">  327</a></span><span class="preprocessor">#define SPI_ENABLE_DUAL_OUTPUT_MODE(spi) (  (spi)-&gt;CTL |= SPI_CTL_DUAL_IO_DIR_Msk )</span></div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span> </div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8b6528bc0f7800dff5dcf54e238e73a0">  335</a></span><span class="preprocessor">#define SPI_TRIGGER_RX_PDMA(spi) ( (spi)-&gt;DMA |= SPI_DMA_RX_DMA_EN_Msk )</span></div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span> </div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga82e6b47e118d5bf3333e49a77ea5bd11">  343</a></span><span class="preprocessor">#define SPI_TRIGGER_TX_PDMA(spi) ( (spi)-&gt;DMA |= SPI_DMA_TX_DMA_EN_Msk )</span></div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span> </div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae7ab536ad8ae455cc2dd56aeac52c613">  351</a></span><span class="preprocessor">#define SPI_ENABLE_2BIT_MODE(spi) ( (spi)-&gt;CTL |= SPI_CTL_TWOB_Msk )</span></div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span> </div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga312aec82fa602a0ac22d24b55b281333">  359</a></span><span class="preprocessor">#define SPI_DISABLE_2BIT_MODE(spi) ( (spi)-&gt;CTL &amp;= ~SPI_CTL_TWOB_Msk )</span></div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span> </div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa427c018cf4653aed80691d5b180deb">  367</a></span><span class="preprocessor">#define SPI_GET_STATUS(spi) ((spi)-&gt;STATUS)</span></div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno">  368</span> </div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span>uint32_t <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32MasterSlave, uint32_t u32SPIMode, uint32_t u32DataWidth, uint32_t u32BusClock);</div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi);</div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi);</div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi);</div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi);</div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel);</div>
<div class="line"><a id="l00375" name="l00375"></a><span class="lineno">  375</span>uint32_t <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32BusClock);</div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold);</div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi);</div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span>uint32_t <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi);</div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask);</div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask);</div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9f6203152d82e50dc0a0f8257bf862cb">SPI_EnableWakeup</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi);</div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno">  382</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf84c991f91bd473bf678093435ff51a5">SPI_DisableWakeup</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi); <span class="comment">/* end of group NANO1X2_SPI_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span> <span class="comment">/* end of group NANO1X2_SPI_Driver */</span></div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno">  386</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span> </div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno">  389</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span>}</div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span> </div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno">  393</span><span class="preprocessor">#endif </span><span class="comment">//__SPI_H__</span></div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno">  394</span> </div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno">  395</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a94dbdd0b36e57a878893c61b18fbfad6"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a94dbdd0b36e57a878893c61b18fbfad6">SPI_CTL_TX_BIT_LEN_Pos</a></div><div class="ttdeci">#define SPI_CTL_TX_BIT_LEN_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08861">Nano1X2Series.h:8861</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0450c2c279d9f5254f172d3a6fd7f47b"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a></div><div class="ttdeci">void SPI_DisableInt(SPI_T *spi, uint32_t u32Mask)</div><div class="ttdoc">Disable FIFO related interrupts specified by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00273">spi.c:273</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1cace1d20930ddff812b308310ec7353"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">SPI_SET_DATA_WIDTH</a></div><div class="ttdeci">static __INLINE void SPI_SET_DATA_WIDTH(SPI_T *spi, uint32_t u32Width)</div><div class="ttdoc">Set the data width of a SPI transaction.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00271">spi.h:271</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga38d6219787921363efa7dcd46fdb6846"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a></div><div class="ttdeci">void SPI_DisableFIFO(SPI_T *spi)</div><div class="ttdoc">Disable FIFO mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00190">spi.c:190</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d27a219e6d7e2c767775a2ed26fbc4b"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a></div><div class="ttdeci">void SPI_EnableInt(SPI_T *spi, uint32_t u32Mask)</div><div class="ttdoc">Enable FIFO related interrupts specified by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00238">spi.c:238</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga55b31f9a751c6e784ad0022bc9155153"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a></div><div class="ttdeci">void SPI_EnableAutoSS(SPI_T *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel)</div><div class="ttdoc">Enable the automatic slave select function. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00122">spi.c:122</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58733a1f2730db4943ee270c5aad39ba"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a></div><div class="ttdeci">void SPI_EnableFIFO(SPI_T *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold)</div><div class="ttdoc">Enable FIFO mode with user-specified Tx FIFO threshold and Rx FIFO threshold configurations.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00176">spi.c:176</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58b7eef9f93f8c3d3818d1a4b74f5be6"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a></div><div class="ttdeci">void SPI_DisableAutoSS(SPI_T *spi)</div><div class="ttdoc">Disable the automatic slave select function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00106">spi.c:106</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7cee248bcbe05dfae8ab8b3bf89e8f13"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a></div><div class="ttdeci">uint32_t SPI_SetBusClock(SPI_T *spi, uint32_t u32BusClock)</div><div class="ttdoc">Set the SPI bus clock. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00133">spi.c:133</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8074f716aa1c65ecc93d79062b5d4b1b"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a></div><div class="ttdeci">void SPI_Close(SPI_T *spi)</div><div class="ttdoc">Reset SPI module and disable SPI peripheral clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00066">spi.c:66</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9f6203152d82e50dc0a0f8257bf862cb"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9f6203152d82e50dc0a0f8257bf862cb">SPI_EnableWakeup</a></div><div class="ttdeci">void SPI_EnableWakeup(SPI_T *spi)</div><div class="ttdoc">Enable wake-up function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00299">spi.c:299</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad1c25325aceb6a6ed417055225aff01b"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a></div><div class="ttdeci">void SPI_ClearTxFIFO(SPI_T *spi)</div><div class="ttdoc">Clear Tx FIFO buffer.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00096">spi.c:96</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad923655d26fb14da88c61d4ed0125c44"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a></div><div class="ttdeci">uint32_t SPI_Open(SPI_T *spi, uint32_t u32MasterSlave, uint32_t u32SPIMode, uint32_t u32DataWidth, uint32_t u32BusClock)</div><div class="ttdoc">This function make SPI module be ready to transfer. By default, the SPI transfer sequence is MSB firs...</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00047">spi.c:47</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae3a43e332cf4de4b416980eeab502d07"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a></div><div class="ttdeci">uint32_t SPI_GetBusClock(SPI_T *spi)</div><div class="ttdoc">Get the actual frequency of SPI bus clock. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00200">spi.c:200</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae59c481764af06e5512f4416a91c5da2"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a></div><div class="ttdeci">void SPI_ClearRxFIFO(SPI_T *spi)</div><div class="ttdoc">Clear Rx FIFO buffer.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00086">spi.c:86</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf84c991f91bd473bf678093435ff51a5"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf84c991f91bd473bf678093435ff51a5">SPI_DisableWakeup</a></div><div class="ttdeci">void SPI_DisableWakeup(SPI_T *spi)</div><div class="ttdoc">Disable wake-up function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00309">spi.c:309</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga069fd6acdea1842f24bba35267ff3ea5"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">SPI_T::CTL</a></div><div class="ttdeci">__IO uint32_t CTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08551">Nano1X2Series.h:8551</a></div></div>
<div class="ttc" id="astruct_s_p_i___t_html"><div class="ttname"><a href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08460">Nano1X2Series.h:8461</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
